Intallation error: Version mismatch detected

I had to uninstall Postman on a Windows 10 Pro 64-bit machine, and when I try to reinstall it, I get the following error message:

Version mismatch detected. Looks like you’ve used a newer version of the Postman app on this system. Please download the latest app and try again.

So it seems as if the app auto-updated to a version that’s newer than the one available for download, and that somehow makes it impossible to reinstall.

If I click OK the installation proceeds, but then gets stuck on a screen that says:

Preparing your workspaces… This might take a few minutes.

The app is added to my taskbar, but I can’t run it.

1 Like

I have the same problem. But I don’t see a solution to this.

Did you find one @floripare ?

I have the same problem
Windows 10

@saifshine7, @floripare

solved it
download latest version here:
https://dl.pstmn.io/download/version/7.10.0/win64

1 Like